
.elementor-widget-icon-box .elementor-icon-box-wrapper {
	display: flex;
	flex-direction: column;
	text-align: center;
}

.elementor-widget-icon-box .elementor-icon-box-icon {
	display: inline-block;
	flex: 0 0 auto;
	line-height: 0;
}

.elementor-widget-icon-box .elementor-icon-box-content {
	flex-grow: 1;
	width: 100%;
}

.elementor-widget-icon-box .elementor-icon-box-title a {
	color: inherit;
}

.elementor-widget-icon-box .elementor-icon-box-description {
	margin: 0;
}

.elementor-widget-icon-box.elementor-position-inline-end .elementor-icon-box-wrapper {
	flex-direction: row-reverse;
	text-align: end;
}

.elementor-widget-icon-box.elementor-position-inline-start .elementor-icon-box-wrapper {
	flex-direction: row;
	text-align: start;
}

.elementor-widget-icon-box.elementor-position-block-start .elementor-icon-box-wrapper {
	align-items: unset !important;
	flex-direction: column;
	text-align: center;
}

.elementor-widget-icon-box.elementor-position-block-end .elementor-icon-box-wrapper {
	align-items: unset !important;
	flex-direction: column-reverse;
	text-align: center;
}

@media (min-width:-1) {
	.elementor-widget-icon-box.elementor-widescreen-position-inline-end .elementor-icon-box-wrapper {
		flex-direction: row-reverse;
		text-align: end;
	}
	
	.elementor-widget-icon-box.elementor-widescreen-position-inline-start .elementor-icon-box-wrapper {
		flex-direction: row;
		text-align: start;
	}
	
	.elementor-widget-icon-box.elementor-widescreen-position-block-start .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-widescreen-position-block-end .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column-reverse;
		text-align: center;
	}
}

@media (max-width:-1) {
	.elementor-widget-icon-box.elementor-laptop-position-inline-end .elementor-icon-box-wrapper {
		flex-direction: row-reverse;
		text-align: end;
	}
	
	.elementor-widget-icon-box.elementor-laptop-position-inline-start .elementor-icon-box-wrapper {
		flex-direction: row;
		text-align: start;
	}
	
	.elementor-widget-icon-box.elementor-laptop-position-block-start .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-laptop-position-block-end .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column-reverse;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-tablet_extra-position-inline-end .elementor-icon-box-wrapper {
		flex-direction: row-reverse;
		text-align: end;
	}
	
	.elementor-widget-icon-box.elementor-tablet_extra-position-inline-start .elementor-icon-box-wrapper {
		flex-direction: row;
		text-align: start;
	}
	
	.elementor-widget-icon-box.elementor-tablet_extra-position-block-start .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-tablet_extra-position-block-end .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column-reverse;
		text-align: center;
	}
}

@media (max-width:1024px) {
	.elementor-widget-icon-box.elementor-tablet-position-inline-end .elementor-icon-box-wrapper {
		flex-direction: row-reverse;
		text-align: end;
	}
	
	.elementor-widget-icon-box.elementor-tablet-position-inline-start .elementor-icon-box-wrapper {
		flex-direction: row;
		text-align: start;
	}
	
	.elementor-widget-icon-box.elementor-tablet-position-block-start .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-tablet-position-block-end .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column-reverse;
		text-align: center;
	}
}

@media (max-width:-1) {
	.elementor-widget-icon-box.elementor-mobile_extra-position-inline-end .elementor-icon-box-wrapper {
		flex-direction: row-reverse;
		text-align: end;
	}
	
	.elementor-widget-icon-box.elementor-mobile_extra-position-inline-start .elementor-icon-box-wrapper {
		flex-direction: row;
		text-align: start;
	}
	
	.elementor-widget-icon-box.elementor-mobile_extra-position-block-start .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-mobile_extra-position-block-end .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column-reverse;
		text-align: center;
	}
}

@media (max-width:767px) {
	.elementor-widget-icon-box.elementor-mobile-position-inline-end .elementor-icon-box-wrapper {
		flex-direction: row-reverse;
		text-align: end;
	}
	
	.elementor-widget-icon-box.elementor-mobile-position-inline-start .elementor-icon-box-wrapper {
		flex-direction: row;
		text-align: start;
	}
	
	.elementor-widget-icon-box.elementor-mobile-position-block-start .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column;
		text-align: center;
	}
	
	.elementor-widget-icon-box.elementor-mobile-position-block-end .elementor-icon-box-wrapper {
		align-items: unset !important;
		flex-direction: column-reverse;
		text-align: center;
	}
}

.elementor-counter {
	align-items: stretch;
	display: flex;
	flex-direction: column-reverse;
	justify-content: center;
}

.elementor-counter .elementor-counter-number {
	flex-grow: var(--counter-number-grow, 0);
}

.elementor-counter .elementor-counter-number-wrapper {
	display: flex;
	flex: 1;
	font-size: 69px;
	font-weight: 600;
	line-height: 1;
	text-align: center;
}

.elementor-counter .elementor-counter-number-prefix {
	flex-grow: var(--counter-prefix-grow, 1);
	text-align: end;
	white-space: pre-wrap;
}

.elementor-counter .elementor-counter-number-suffix {
	flex-grow: var(--counter-suffix-grow, 1);
	text-align: start;
	white-space: pre-wrap;
}

.elementor-counter .elementor-counter-title {
	align-items: center;
	display: flex;
	flex: 1;
	font-size: 19px;
	font-weight: 400;
	justify-content: center;
	line-height: 2.5;
	margin: 0;
	padding: 0;
}

.elementor-shape {
	direction: ltr;
	left: 0;
	line-height: 0;
	overflow: hidden;
	position: absolute;
	width: 100%;
}

.elementor-shape-top {
	top: -1px;
}

.elementor-shape-top:not([data-negative=false]) svg {
	z-index: -1;
}

.elementor-shape-bottom {
	bottom: -1px;
}

.elementor-shape-bottom:not([data-negative=true]) svg {
	z-index: -1;
}

.elementor-shape[data-negative=false].elementor-shape-bottom, .elementor-shape[data-negative=true].elementor-shape-top {
	transform: rotate(180deg);
}

.elementor-shape svg {
	display: block;
	left: 50%;
	position: relative;
	transform: translateX(-50%);
	width: calc(100% + 1.3px);
}

.elementor-shape .elementor-shape-fill {
	fill: #fff;
	transform: rotateY(0deg);
	transform-origin: center;
}
